Bug 12375 - FICS login textfields should jump to next when pressing Enter
: FICS login textfields should jump to next when pressing Enter
Status: CLOSED FIXED
Product: Miniature
UI
: master
: All All
: High enhancement (vote)
: 0.4
Assigned To: Quim Gil
: general
:
:
:
:
  Show dependency tree
 
Reported: 2011-09-06 02:30 UTC by Quim Gil
Modified: 2011-09-18 07:59 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Quim Gil (reporter) 2011-09-06 02:30:42 UTC
SOFTWARE VERSION: 
master

As reported by mikhas at https://bugs.maemo.org/show_bug.cgi?id=12337#c17

1. When entering username, enter key on virtual keyboard should bring you to
password field,
2. when entering password, enter key on virtual keyboard should log you in.
3. After sending user credentials, UI should grey out login prompt until FICS
response arrives (otherwise no visual feedback if login takes a bit longer,
say, due to crappy internet connection).
Comment 1 Quim Gil (reporter) 2011-09-06 02:34:07 UTC
I can't find an evident way to do this today, so leaving it for tomorrow - or
for someone else if s/he is faster than me.  :)

We are using the com.nokia.meego specific TextField since it has a nice
placeholder text property, but apparently it can't emit an onAccepted signal
that could be used to direct the focus to the next element.

TextInput (part of the official QML elements) does have this onAccepted signal
but no placeholder text property...

We have more important things to put our attention before the 0.4 release,
hence marking this as Low as of today.
Comment 2 Michael Hasselmann 2011-09-06 15:18:51 UTC
Try http://doc.qt.nokia.com/latest/qml-keys.html#example-usage to filter enter
key events.
Comment 3 Quim Gil (reporter) 2011-09-06 21:14:31 UTC
Fixed in master:
https://gitorious.org/miniature/miniature/commit/41c9b5fe2f787a8b1ad47c0c4bdbe1daba0d7f3e

Please verify.
Comment 4 Michael Hasselmann 2011-09-07 03:05:02 UTC
Works, though to make it complete we should now also add the action key
support: When in username entry, enter key (action key) should be labelled
"Next", when on password entry (and username is not empty), action key should
read "Login".